低危 Ceph RGW Client Beast Front End HTTP Header 资源消耗漏洞

CVE编号

CVE-2019-10222

利用情况

暂无

补丁情况

官方补丁

披露时间

2019-11-09
漏洞描述
在Ceph RGW配置中发现了一个漏洞,其中Beast作为前端处理客户端请求。未经身份验证的攻击者可能会通过发送有效的HTTP标头并终止连接来使Ceph RGW服务器崩溃,从而导致Ceph RGW客户端的远程拒绝服务。
解决建议
厂商已发布了漏洞修复程序,请及时关注更新:
https://access.redhat.com/security/updates/classification/#important
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 ceph ceph - -
运行在以下环境
应用 redhat ceph_storage 3.0 -
运行在以下环境
应用 redhat ceph_storage 3.3 -
运行在以下环境
系统 alpine_3.10 ceph * Up to
(excluding)
14.2.3-r0
运行在以下环境
系统 alpine_3.11 ceph * Up to
(excluding)
14.2.3-r0
运行在以下环境
系统 alpine_3.12 ceph * Up to
(excluding)
14.2.3-r0
运行在以下环境
系统 alpine_3.13 ceph * Up to
(excluding)
14.2.3-r0
运行在以下环境
系统 alpine_3.14 ceph * Up to
(excluding)
14.2.3-r0
运行在以下环境
系统 alpine_3.15 ceph * Up to
(excluding)
14.2.3-r0
运行在以下环境
系统 alpine_3.16 ceph * Up to
(excluding)
14.2.3-r0
运行在以下环境
系统 alpine_edge ceph * Up to
(excluding)
14.2.3-r0
运行在以下环境
系统 debian_10 ceph * Up to
(including)
12.2.11+dfsg1-2.1
运行在以下环境
系统 fedora_30 ceph * Up to
(excluding)
14.2.3-1.fc30
运行在以下环境
系统 fedora_31 ceph * Up to
(excluding)
14.2.3-1.fc31
运行在以下环境
系统 fedora_32 ceph * Up to
(excluding)
14.2.3-1.fc32
运行在以下环境
系统 ubuntu_18.04 ceph * Up to
(excluding)
12.2.12-0ubuntu0.18.04.2
运行在以下环境
系统 ubuntu_18.04.5_lts ceph * Up to
(excluding)
12.2.12-0ubuntu0.18.04.2
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-755 对异常条件的处理不恰当
阿里云安全产品覆盖情况